aom_fixed_buf Struct Reference
Common Algorithm Interface » Encoder Algorithm Interface

Generic fixed size buffer structure. More...

`#include <aom_encoder.h>`

## Data Fields

void * | buf
size_t | sz

## Detailed Description

Generic fixed size buffer structure.

This structure is able to hold a reference to any fixed size buffer.

## Field Documentation

## buf

void* aom_fixed_buf::buf

Pointer to the data. Does NOT own the data!

## sz

size_t aom_fixed_buf::sz

Length of the buffer, in chars

The documentation for this struct was generated from the following file:

- aom/aom_encoder.h